# TaskContainer

Extends

Abstract interface for objects which can contain tasks (targets) Used to check if a class can contain tasks (via instanceof)

@author Andreas Aderhold andi@binarycloud.com

copyright | 2001,2002 THYRELL. All rights reserved @version $Id: 945d98b37a431c9d6b64faaa4be1d039f840c08d $ @access public @package phing
package | phing

### Methods

## Adds a task to this task container. Must be implemented by derived class

    addTask(\Task $task)

@param object The task to be added to the container

access | public

### Arguments

#### $task

`\Task`